Summary: A GNU file archiving program.
Name: tar
Version: 1.13.6
Release: 1
Group: Applications/Archiving
Copyright: GPL
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://alpha.gnu.org/gnu/tar/tar-%{version}.tar.gz
Requires: rmt
Buildroot: /var/tmp/%{name}-root

%description
The GNU tar program saves many files together into one archive and
can restore individual files (or all of the files) from the archive.
Tar can also be used to add supplemental files to an archive and to
update or list files in the archive.

Tar includes multivolume support, automatic archive compression/
decompression, the ability to perform remote archives and the
ability to perform incremental and full backups.

If you want to use Tar for remote backups, you'll also need to
install the rmt package.

You should install the tar package, because you'll find its
compression and decompression utilities essential for working
with files.


%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure \
	--prefix=/usr --bindir=/bin --libexecdir=/sbin --disable-nls
make

# Remake info file
rm -f doc/tar.info*; make -C doc info MAKEINFO="makeinfo --no-split"


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
gzip -9f $RPM_BUILD_ROOT/usr/info/*


%post
/sbin/install-info /usr/info/tar.info.gz /usr/info/dir

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete /usr/info/tar.info.gz /usr/info/dir
fi


%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS BACKLOG COPYING ChangeLog INSTALL NEWS PORTS README 
%doc THANKS TODO
/bin/*
/usr/info/*


%clean
rm -rf $RPM_BUILD_ROOT

